Subject: problem of compiling charmm on 64 bit Opteron

From: wei <wzhuang:at:uci.edu>
Date: Mon, 28 Jun 2004 09:22:00 -0400

Hi,
when I compile charmm c30b2 on a 64 bit Opteron beowulf cluster running SUSE 9.0. I used g77 compiler. at first it gave the error message like
************************
f771: error: -malign-double makes no sense in the 64bit mode
***************************

so I took off the flag "-malign-doubl" in build/gnu/Makefile_gnu. and then the compilation went through.

but then when I run a minimization. it broke down and gave the error message as:
*****
== PRIMARY == SPACE FOR 7581700 ATOM PAIRS AND 0 GROUP PAIRS
VEHEAP> Expanding heap size by12042240 words.
Segmentation fault
*******************
the strange thing is, I compile charmm on a AMD athelon cluster running SUSE 9.0 ( with and without that two flags ), and it works fine. would anyone tell me what is going on here?

wei zhuang